Platform Specific Methods - Consume Microsoft Store Entitlements
Grants the player's current entitlements from Microsoft Store's Collection API
POST https://titleId.playfabapi.com/Client/ConsumeMicrosoftStoreEntitlements
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| MarketplaceSpecificData | True |
Marketplace specific payload containing details to fetch in app purchase transactions |
|
| CatalogVersion |
string |
Catalog version to use |
|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Consume |
|
|
Consume |
|
|
Item |
A unique instance of an item in a user's inventory. Note, to retrieve additional information for an item such as Tags, Description that are the same across all instances of the item, a call to GetCatalogItems is required. The ItemID of can be matched to a catalog entry, which contains the additional information. Also note that Custom Data is only set when the User's specific instance has updated the CustomData via a call to UpdateUserInventoryItemCustomData. Other fields such as UnitPrice and UnitCurrency are only set when the item was granted via a purchase. |
|
Microsoft |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
ConsumeMicrosoftStoreEntitlementsRequest
| Name | Type | Description |
|---|---|---|
| CatalogVersion |
string |
Catalog version to use |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| MarketplaceSpecificData |
Marketplace specific payload containing details to fetch in app purchase transactions |
ConsumeMicrosoftStoreEntitlementsResponse
| Name | Type | Description |
|---|---|---|
| Items |
Details for the items purchased. |
ItemInstance
A unique instance of an item in a user's inventory. Note, to retrieve additional information for an item such as Tags, Description that are the same across all instances of the item, a call to GetCatalogItems is required. The ItemID of can be matched to a catalog entry, which contains the additional information. Also note that Custom Data is only set when the User's specific instance has updated the CustomData via a call to UpdateUserInventoryItemCustomData. Other fields such as UnitPrice and UnitCurrency are only set when the item was granted via a purchase.
| Name | Type | Description |
|---|---|---|
| Annotation |
string |
Game specific comment associated with this instance when it was added to the user inventory. |
| BundleContents |
string[] |
Array of unique items that were awarded when this catalog item was purchased. |
| BundleParent |
string |
Unique identifier for the parent inventory item, as defined in the catalog, for object which were added from a bundle or container. |
| CatalogVersion |
string |
Catalog version for the inventory item, when this instance was created. |
| CustomData |
object |
A set of custom key-value pairs on the instance of the inventory item, which is not to be confused with the catalog item's custom data. |
| DisplayName |
string |
CatalogItem.DisplayName at the time this item was purchased. |
| Expiration |
string |
Timestamp for when this instance will expire. |
| ItemClass |
string |
Class name for the inventory item, as defined in the catalog. |
| ItemId |
string |
Unique identifier for the inventory item, as defined in the catalog. |
| ItemInstanceId |
string |
Unique item identifier for this specific instance of the item. |
| PurchaseDate |
string |
Timestamp for when this instance was purchased. |
| RemainingUses |
number |
Total number of remaining uses, if this is a consumable item. |
| UnitCurrency |
string |
Currency type for the cost of the catalog item. Not available when granting items. |
| UnitPrice |
number |
Cost of the catalog item in the given currency. Not available when granting items. |
| UsesIncrementedBy |
number |
The number of uses that were added or removed to this item in this call. |
MicrosoftStorePayload
| Name | Type | Description |
|---|---|---|
| CollectionsMsIdKey |
string |
Microsoft store ID key. This is optional. Alternatively you can use XboxToken |
| UserId |
string |
If collectionsMsIdKey is provided, this will verify the user id in the collectionsMsIdKey is the same. |
| XboxToken |
string |
Token provided by the Xbox Live SDK/XDK method GetTokenAndSignatureAsync("POST", "https://playfabapi.com/", ""). This is optional. Alternatively can use CollectionsMsIdKey |
Error Codes
| Name | Code |
|---|---|
| ItemNotFound | 1047 |
| ProductDisabledForTitle | 1609 |